Skip to content

Lists

Organize contacts into lists. Every contact must belong to a list. Use lists to segment your audience for outreach campaigns.

List all lists

Request

Retrieve all contact lists in your account. Lists are used to organize contacts into groups for outreach campaigns.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
filterobject
GET
/leads/api/lists
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/lists?limit=20&offset=0&order_field=created_at&order_type=asc&filter=q%3Dstring%26uuid%3Dstring%26name%3Dstring' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of contact lists.

Bodyapplication/json
dataArray of objects(list)
limitinteger
Example:20
offsetinteger
Example:0
totalinteger
Example:12
Response
{ "data": [ {} ], "limit": 20, "offset": 0, "total": 12 }